=== debian/changelog ===
atanks (6.0~dfsg-1) unstable; urgency=low

  * New upstream release
    - few bug fixes which should improve stability and reduce memory leakage
    - press "v" to decrease audio volume and "V" (shift+v) to increase volume

 -- Mark Purcell <msp@debian.org>  Sat, 14 Jun 2014 11:04:28 +1000

atanks (5.9~dfsg-1) unstable; urgency=low

  * New upstream release
    - Fixes "[Mayhem] Bug report on atanks: atanks crashes with exit status
    139" (Closes: #715654)

 -- Mark Purcell <msp@debian.org>  Sun, 13 Apr 2014 15:04:13 +1000
