=== debian/control ===
Source: atanks
Section: games
Priority: optional
Uploaders: Mark Purcell <msp@debian.org>
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), liballegro-dev | liballegro4.2-dev
Homepage: http://atanks.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-allegro/atanks/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-allegro/atanks/trunk/
Standards-Version: 3.9.4


Package: atanks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, atanks-data (= ${source:Version})
Replaces: atanks-data(<< 5.7~dfsg-1)
Breaks: atanks-data (<< 5.7~dfsg-1)
Description: tank-battling game
 Atomic tanks is a multi-player game in which you attempt to destroy
 other tanks while trying to protect your own. You earn money for
 destroying other tanks; with this money you can buy upgrades and better
 weapons for your tank.
 .
 This game is similar Scorched Earth or the Worms series of games.

Package: atanks-data
Depends: ${misc:Depends}
Architecture: all
Description: data files for Atomic tanks
 Atomic tanks is a multi-player game in which you attempt to destroy
 other tanks while trying to protect your own. You earn money for
 destroying other tanks; with this money you can buy upgrades and better
 weapons for your tank.
 .
 This game is similar Scorched Earth or the Worms series of games.
 .
 This package holds the data files needed for Atomic tanks.

Package: atanks-dbg
Depends: ${shlibs:Depends}, ${misc:Depends}, atanks (= ${binary:Version})
Architecture: any
Section: debug
Priority: extra
Description: tank-battling game - debug symbols
 Atomic tanks is a multi-player game in which you attempt to destroy
 other tanks while trying to protect your own. You earn money for
 destroying other tanks; with this money you can buy upgrades and better
 weapons for your tank.
 .
 This package contains the debug symbols which is useful if you wish to
 analyse segmentation faults.
