=== debian/rules ===
#!/usr/bin/make -f

DEBVERSION := $(shell head -n 1 debian/changelog \
                    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION := $(shell echo $(DEBVERSION) | sed 's/~dfsg-.//')

PKG=atanks
FILENAME := $(PKG)_$(UPVERSION)~dfsg.orig.tar.gz
UPFILENAME := $(PKG)_$(UPVERSION).orig.tar.gz
URL := http://downloads.sourceforge.net/project/$(PKG)/$(PKG)/$(PKG)-$(UPVERSION)/$(PKG)-$(UPVERSION).tar.gz

%:
	dh $@ --parallel --dbg-package=atanks-dbg

override_dh_install:
	dh_install -XCOPYING --fail-missing
	rm -fR $(CURDIR)/debian/atanks-data/usr/share/applications/

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@#this is for stable versions
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo 'Repacking as DFSG-free (removing windows DLLs)...'
	@@mkdir -p ../tarballs/$(PKG)-$(UPVERSION).tmp/
	@@cd ../tarballs/$(PKG)-$(UPVERSION).tmp ; tar xfz ../$(UPFILENAME)
	@@find ../tarballs/$(PKG)-$(UPVERSION).tmp/ -iname '*.dll' -delete
	@@echo Writing archive ../tarballs/$(FILENAME) ...
	@@cd ../tarballs/$(PKG)-$(UPVERSION).tmp ; tar cfz ../$(FILENAME) *
	@@echo Cleaning up...
	@@$(RM) -rf ../tarballs/$(PKG)-$(UPVERSION).tmp/ ../tarballs/$(UPFILENAME)
