=== debian/changelog ===
atanks (6.5~dfsg-2) unstable; urgency=medium

  * Add freebsd-FTBFS.patch and fix FTBFS on kfreeBSD architectures.
    Thanks to Jesse Smith for the patch. (Closes: #845924)

 -- Markus Koschany <apo@debian.org>  Sun, 27 Nov 2016 22:40:27 +0100

atanks (6.5~dfsg-1) unstable; urgency=medium

  * New upstream version 6.5~dfsg.
    - Building Atanks is reproducible now. Thanks to Reiner Herrmann for the
      patch. (Closes: #842865)
  * Adopt the package because it was orphaned. Remove Mark Purcell from
    Uploaders. (Closes: #839966)
  * wrap-and-sort -sa.
  * Move the package to Git.
  * Add README.source.
  * Mark atanks-data Multi-Arch: foreign.

 -- Markus Koschany <apo@debian.org>  Sat, 26 Nov 2016 23:52:34 +0100

atanks (6.4~dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.4~dfsg.
  * Switch to compat level 10.
  * Drop -dbg package and use the automatic dbgsym package instead.
  * Vcs-Browser: Use https.
  * Declare compliance with Debian Policy 3.9.8.
  * Add clean file and ensure that atanks can be built twice in a row.
  * Update d/copyright for new release.

 -- Markus Koschany <apo@debian.org>  Sat, 01 Oct 2016 21:02:41 +0200
