=== debian/control ===
Source: atanks
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper (>= 10),
 liballegro-dev | liballegro4.2-dev
Homepage: http://atanks.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/pkg-games/atanks.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/atanks.git
Standards-Version: 3.9.8

Package: atanks
Architecture: any
Depends:
 atanks-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 atanks-data(<< 5.7~dfsg-1)
Breaks:
 atanks-data (<< 5.7~dfsg-1)
Description: tank-battling game
 Atomic tanks is a multi-player game in which you attempt to destroy
 other tanks while trying to protect your own. You earn money for
 destroying other tanks; with this money you can buy upgrades and better
 weapons for your tank.
 .
 This game is similar Scorched Earth or the Worms series of games.

Package: atanks-data
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Architecture: all
Description: data files for Atomic tanks
 Atomic tanks is a multi-player game in which you attempt to destroy
 other tanks while trying to protect your own. You earn money for
 destroying other tanks; with this money you can buy upgrades and better
 weapons for your tank.
 .
 This game is similar Scorched Earth or the Worms series of games.
 .
 This package holds the data files needed for Atomic tanks.
