=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 DEBVERSION := $(shell head -n 1 debian/changelog \
                     | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
-UPVERSION := $(shell echo $(DEBVERSION) | sed 's/~dfsg-.//')
+UPVERSION := $(shell echo $(DEBVERSION) | sed 's/+dfsg-.//')
 
 PKG=atanks
 FILENAME := $(PKG)_$(UPVERSION)~dfsg.orig.tar.gz
@@ -10,7 +10,7 @@
 URL := http://downloads.sourceforge.net/project/$(PKG)/$(PKG)/$(PKG)-$(UPVERSION)/$(PKG)-$(UPVERSION).tar.gz
 
 %:
-	dh $@ --parallel --dbg-package=atanks-dbg
+	dh $@
 
 override_dh_install:
 	dh_install -XCOPYING --fail-missing
