=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg// \
   http://sf.net/atanks/atanks-(.*)\.tar\.(?:gz|bz2) debian svn-upgrade
