## atanks 6.6~dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: all install clean veryclean user winuser osxuser ubuntu \
 dist tarball zipfile source-dist i686-dist win32-dist
 
-VERSION := 6.5
+VERSION := 6.6
 
 
 DEBUG   ?= NO
@@ -302,6 +302,8 @@
 install: $(TARGET)
 	$(INSTALL) -d $(DESTDIR)${BINDIR}
 	$(INSTALL) -m 755 atanks $(DESTDIR)${BINDIR}
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/metainfo
+	$(INSTALL) -m 644 io.sourceforge.atanks.metainfo.xml $(DESTDIR)$(PREFIX)/share/metainfo
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/applications
 	$(INSTALL) -m 644 atanks.desktop $(DESTDIR)$(PREFIX)/share/applications
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps
@@ -358,10 +360,10 @@
 dist: source-dist i686-dist win32-dist
 
 tarball: veryclean
-	cd .. && tar czf $(FILENAME).tar.gz $(FILENAME) --exclude=.git
+	cd .. && tar --create --file $(FILENAME).tar.gz --auto-compress --exclude-vcs $(FILENAME) 
 
 zipfile: veryclean
-	cd .. && zip -r $(FILENAME)-source.zip $(FILENAME) -x *.git*
+	cd .. && zip -r $(FILENAME)-source.zip $(FILENAME) -x '*.git*'
 
 source-dist: $(TARGET)
 	cd ../; \
