=== debian/changelog ===
atanks (6.6~dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:25:11 +1100

atanks (6.6~dfsg-1build1) noble; urgency=high

  * No change rebuild against liballegro4.4t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:29:25 +0100

atanks (6.6~dfsg-1) unstable; urgency=medium

  * New upstream version 6.6~dfsg.
  * Declare compliance with Debian Policy 4.6.0.
  * d/control: remove obsolete Breaks and Replaces.
  * Drop freebsd-hurd.patch. Fixed upstream.

 -- Markus Koschany <apo@debian.org>  Thu, 02 Sep 2021 08:33:07 +0200

atanks (6.5~dfsg-4) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Sat, 14 Nov 2020 22:29:30 +0100

atanks (6.5~dfsg-3) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Use dh_missing --fail-missing instead of dh_install.
  * Drop deprecated menu file.
  * Remove obsolete README.source file.
  * Use https for Format field.
  * Use https for watch file URI.
  * Improve freebsd-hurd.patch and build atanks on GNU/Hurd and kFreeBSD.
    (Closes: #845924)
  * Use canonical VCS-URI.

 -- Markus Koschany <apo@debian.org>  Sun, 09 Dec 2018 17:27:58 +0100
