=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: atanks
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  liballegro-dev | liballegro4.2-dev
 Homepage: http://atanks.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/pkg-games/atanks.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/atanks.git
-Standards-Version: 3.9.8
+Vcs-Git: https://salsa.debian.org/games-team/atanks.git
+Vcs-Browser: https://salsa.debian.org/games-team/atanks
+Standards-Version: 4.6.0
 
 Package: atanks
 Architecture: any
@@ -18,10 +19,6 @@
  atanks-data (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Replaces:
- atanks-data(<< 5.7~dfsg-1)
-Breaks:
- atanks-data (<< 5.7~dfsg-1)
 Description: tank-battling game
  Atomic tanks is a multi-player game in which you attempt to destroy
  other tanks while trying to protect your own. You earn money for
