=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 DEBVERSION := $(shell head -n 1 debian/changelog \
                     | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
-UPVERSION := $(shell echo $(DEBVERSION) | sed 's/+dfsg-.//')
+UPVERSION := $(shell echo $(DEBVERSION) | sed 's/~dfsg-.//')
 
 PKG=atanks
 FILENAME := $(PKG)_$(UPVERSION)~dfsg.orig.tar.gz
@@ -13,7 +13,7 @@
 	dh $@
 
 override_dh_install:
-	dh_install -XCOPYING --fail-missing
+	dh_install -XCOPYING
 	rm -fR $(CURDIR)/debian/atanks-data/usr/share/applications/
 
 get-orig-source:
